### Enumeration

# Snapd InstallFlags

since: 1.12

#### Declaration

    flags Snapd.InstallFlags

#### Description [src]

Flags to control install options.

Available since: 1.12

#### Members

`SNAPD_INSTALL_FLAGS_NONE`

  No flags, default behaviour.

  - Value: `0`
  - Available since: 1.12
`SNAPD_INSTALL_FLAGS_CLASSIC`

  Put snap in classic mode and disable security confinement.

  - Value: `1`
  - Available since: 1.12
`SNAPD_INSTALL_FLAGS_DANGEROUS`

  Install the given snap file even if there are no pre-acknowledged signatures for it, meaning it was not verified and could be dangerous (implied by #SNAPD_INSTALL_FLAGS_DEVMODE).

  - Value: `2`
  - Available since: 1.12
`SNAPD_INSTALL_FLAGS_DEVMODE`

  Put snap in development mode and disable security confinement.

  - Value: `4`
  - Available since: 1.12
`SNAPD_INSTALL_FLAGS_JAILMODE`

  Put snap in enforced confinement mode.

  - Value: `8`
  - Available since: 1.12